{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 40
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:map",
          "functions": [
            {
              "function": "minecraft:exploration_map",
              "destination": "dungeons_arise:foundry",
              "decoration": "target_x",
              "zoom": 4,
              "skip_existing_chunks": false
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:map",
          "functions": [
            {
              "function": "minecraft:exploration_map",
              "destination": "dungeons_arise:thornborn_towers",
              "decoration": "target_x",
              "zoom": 4,
              "skip_existing_chunks": false
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 3
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:iron_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:iron_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:iron_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:iron_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:iron_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:diamond_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:diamond_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:diamond_leggings"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:diamond_boots"
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:blaze_powder",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 15,
          "name": "minecraft:ender_pearl",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 2
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 24,
          "name": "minecraft:iron_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 16,
                "max": 32
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 32,
          "name": "minecraft:gold_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 16
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 8,
          "name": "minecraft:gold_nugget",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 8,
                "max": 64
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 12,
          "name": "minecraft:diamond",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 4,
                "max": 8
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:rose_bush",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:blue_orchid",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "name": "dubl:chests/overworld_epic"
        }
      ]
    }
  ]
}
